#include <iostream>
 
using namespace std;
 
int main(int argc, char* argv[]) 
{
  int n = stoi(argv[1]);
  
  cout << n << endl;
  
  for (int i = 0; i < n; ++i)
  {
    cout << argv[2 + i];
   
    if (i < n - 1)
      cout << ' ';
   } 

  cout << endl;
  
  return 0;
}
 
/*#include <iostream>
#include <string>
#include <map>
#include <random>
#include <vector>
#include <algorithm>
#include <ctime> 
 
using namespace std;
 
int main()
{
	std::random_device dev;
	std::mt19937 rng(dev());
    rng.seed(239);
	
	long maxSize = 1e8;
	std::uniform_int_distribution<std::mt19937::result_type> dist1000000(1, maxSize);
	
	for (int n = 2; n <= 7; ++n)
	    for (int t = 0; t < 7; ++t)
	    {
    	    cout << "generator " << n << ' '; 
    	    
        	for (int i = 0; i < n; ++i)
        		cout << ((n == 7 && t == 6) ? maxSize : dist1000000(rng)) << " ";
        		
        	cout << "> " << (n - 2) * 7 + t + 1 << endl;
	    }
 
	return 0;
}*/
